POST api/Insured/InsuredCustomFields
Insured Custom fields list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"b72f4450-842e-451b-9030-a2205519a00e",
"83790c44-be37-43f1-8348-8a1ccfef8704"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>b72f4450-842e-451b-9030-a2205519a00e</d2p1:guid>
<d2p1:guid>83790c44-be37-43f1-8348-8a1ccfef8704</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of InsuredCustomField list against given insured database Ids.
InsuredCustomField| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Order | integer |
None. |
|
| Text | string |
None. |
|
| Value | string |
None. |
|
| CreateDate | date |
None. |
|
| ChangeDate | date |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| InsuredEmail | string |
None. |
|
| InsuredFirstName | string |
None. |
|
| InsuredLastName | string |
None. |
|
| InsuredCommercialName | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "44ee863d-52c0-4895-b5fa-012b65046caa",
"order": 2,
"text": "sample string 3",
"value": "sample string 4",
"createDate": "2026-09-01T15:02:36.8034674-05:00",
"changeDate": "2026-09-01T15:02:36.8034674-05:00",
"insuredDatabaseId": "5abc4809-f33e-4432-9895-4ead79af4611",
"insuredEmail": "sample string 8",
"insuredFirstName": "sample string 9",
"insuredLastName": "sample string 10",
"insuredCommercialName": "sample string 11"
}
application/xml, text/xml
Sample:
<InsuredCustomField xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <ChangeDate>2026-09-01T15:02:36.8034674-05:00</ChangeDate> <CreateDate>2026-09-01T15:02:36.8034674-05:00</CreateDate> <DatabaseId>44ee863d-52c0-4895-b5fa-012b65046caa</DatabaseId> <InsuredCommercialName>sample string 11</InsuredCommercialName> <InsuredDatabaseId>5abc4809-f33e-4432-9895-4ead79af4611</InsuredDatabaseId> <InsuredEmail>sample string 8</InsuredEmail> <InsuredFirstName>sample string 9</InsuredFirstName> <InsuredLastName>sample string 10</InsuredLastName> <Order>2</Order> <Text>sample string 3</Text> <Value>sample string 4</Value> </InsuredCustomField>